import os
basedir = os.path.abspath(os.path.dirname(__file__))

# Remove or fallbacks for prod

class Config:
    SECRET_KEY = os.environ.get('FLASK_SECRET_KEY') or 'flasksk'
    SQLALCHEMY_DATABASE_URI = 'sqlite:///' + os.path.join(basedir, 'zapp.db')
    #SQLALCHEMY_DATABASE_URI = 'mariadb+mariadbconnector://flasku:' + os.environ.get('MYSQL_PASSWORD') + '@db:3306/flask'

    #MAIL_SERVER = 'pmb'
    MAIL_SERVER = ''
    MAIL_PORT = 25
    MAIL_USE_TLS = False
    MAIL_USERNAME = ''
    MAIL_PASSWORD = ''
    ADMINS = [os.environ.get('ADMIN_EMAIL')]
    FROM_ADDRESS = os.environ.get('FROM_ADDRESS')

    DC_LOGGING = True
    

